function [max_R,min_R,max_L,min_L] = Hip_Power(Markers)
a = strfind(Markers.Labels,'LHipPower'); 


for i=1:length(a) 
    if a{i}==1
        l=i*3
    end        
end

d=length(Markers.RawData(:,1));
max_L1 = max(Markers.RawData(1:d/2,l));
max_L2 = max(Markers.RawData(d/2-30:end,l)); 

b = strfind(Markers.Labels,'RHipPower'); 


for i=1:length(b) 
    if b{i}==1
        r=i*3
    end
end

max_R1 = max(Markers.RawData(1:d/2-50,r));
max_R2 = max(Markers.RawData(d/2-50:end,r));       

figure
subplot(2,1,1)
plot(Markers.RawData(:,l))
title('Left Hip Power')
xlabel('Samples [N]')
ylabel('Power [W/kg]')
hold on
subplot(2,1,2)
plot(Markers.RawData(:,r))
title('Right Hip Power')
xlabel('Samples [N]')
ylabel('Power [W/kg]')
w=[max_L1,max_L2]
z=[max_R1,max_R2]
end